[Qa-jenkins-scm] [jenkins.debian.net] 02/03: actually add support for stretch

Holger Levsen holger at moszumanska.debian.org
Sat Apr 25 23:38:31 UTC 2015


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 7cd6ef30fe32cfd498bc9e23e55bcc3a8309b0f7
Author: Holger Levsen <holger at layer-acht.org>
Date:   Sun Apr 26 01:36:30 2015 +0200

    actually add support for stretch
---
 bin/chroot-installation.sh | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

diff --git a/bin/chroot-installation.sh b/bin/chroot-installation.sh
index 6864b0e..0046fb6 100755
--- a/bin/chroot-installation.sh
+++ b/bin/chroot-installation.sh
@@ -212,6 +212,9 @@ case $1 in
 	jessie)		DISTRO="jessie"
 			SPECIFIC="libreoffice virt-manager mplayer2 chromium"
 			;;
+	stretch)	DISTRO="stretch"
+			SPECIFIC="libreoffice virt-manager mplayer2 chromium"
+			;;
 	sid)		DISTRO="sid"
 			SPECIFIC="libreoffice virt-manager mplayer2 chromium"
 			;;
@@ -257,11 +260,12 @@ fi
 
 if [ "$3" != "" ] ; then
 	case $3 in
-		squeeze)upgrade2 squeeze;;
-		wheezy)	upgrade2 wheezy;;
-		jessie)	upgrade2 jessie;;
-		sid)	upgrade2 sid;;
-		*)	echo "unsupported distro." ; exit 1 ;;
+		squeeze)	upgrade2 squeeze;;
+		wheezy)		upgrade2 wheezy;;
+		jessie)		upgrade2 stretch;;
+		stretch)	upgrade2 stretch;;
+		sid)		upgrade2 sid;;
+		*)		echo "unsupported distro." ; exit 1 ;;
 	esac
 fi
 

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list